/******************************************************************************
 * Main
 *****************************************************************************/
@font-face {
    font-family: Fredi;
    src: url("fonts/FrederickatheGreat-Regular.ttf");
}

@font-face {
    font-family: ubuntu;
    src: url("fonts/Ubuntu-Regular.ttf");
}

@font-face {
    font-family: ubuntumono;
    src: url("fonts/UbuntuMono-Regular.ttf");
}

body {
    font-family: ubuntu, Verdana, Sans-Serif, Arial;
    font-size: 14px;
    text-align: center;
}

h1 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: 0em;
}

h2 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: 0.5em;
}

h3 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: 1em;
}

h4 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: 1.5em;
}

h5 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
    margin-left: 2em;
}

h1 a,
h2 a,
h3 a,
h4 a,
h5 a {
    text-decoration: none;
}

h1 a:hover,
h2 a:hover,
h3 a:hover,
h4 a:hover,
h5 a:hover {
    text-decoration: none;
}

ul li {
    line-height: 1.5em;
}

ol li {
    margin-bottom: 0.3em;
}

ol ol {
    list-style-type: lower-greek;
}

code {
    display: block;
    padding: 9.5px;
    word-break: break-all;
    word-wrap: break-word;
    white-space: pre-wrap;
}

.hide {
    display: none;
}

hr {
    border-top: 1px solid #E0E0E0;
    border-bottom: none;
    border-right: none;
    border-left: none;
}

img {
    max-width: 100%;
    height: auto;
}

pre {
    overflow: auto;
}

.stacked {
    display: flex;
    flex-direction: column;
}

.sided {
    display: flex;
    flex-direction: row;
}

.scrolled {
    overflow-x: auto;
}

/* Works on Firefox */
* {
    scrollbar-width: thin;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    width: 14px;
    height: 14px;
}

*::-webkit-scrollbar-thumb {
    border-radius: 20px;
}

mark {
    background: #FFF176;
}

mark.active-mark {
    background: #F57F17;
}

font.bold {
    font-weight: bold;
}

/******************************************************************************
 * Menu / Header 
 *****************************************************************************/

header {
    box-shadow: 0 -15px 20px 0px;

    position: fixed;
    top: 0px;
    right: 0px;
    left: 0px;
    z-index: 50;
}

.headline {
    display: inline-grid;
}

.headline.withlogo {
    justify-items: start;
}

.logo {
    vertical-align: bottom;
    max-width: 100%;
    min-height: 66px;
    max-height: 66px;
}

.menu {
    margin-bottom: 12px;
}

.menu a {
    padding-top: 18px;
    padding-bottom: 18px;
    margin-top: 5px;
    text-align: center;
    text-decoration: none;
}

.menu.head {
    font-size: 16px;
    padding-bottom: 3px;
    margin-bottom: 3px;
}

.menu.head a {
    padding-top: 15px;
    padding-bottom: 0px;
    margin-right: 0;
    margin-left: 0;
    font-size: 36px;
}

/******************************************************************************
 * Navigation
 *****************************************************************************/

nav {
    width: 100%;
    padding-top: 3px;
    padding-bottom: 3px;
}

.nav.fixed.small {
    padding-top: 0;
    padding-bottom: 0;
    font-size: 10px;
}

.nav.fixed.large {
    padding-top: 3px;
    padding-bottom: 3px;
    font: inherit;
}

nav a,
nav ax,
nav am {
    display: block;
    padding: 0.5em;
    margin-right: 3px;
    margin-left: 3px;
    text-decoration: none;
    white-space: nowrap;
}

nav ul {
    display: inline-block;
    margin: 0;
    padding: 0;
}

nav ul li {
    list-style: none;
    float: left;
    position: relative;
}

nav ul li ul {
    position: absolute;
    left: -25px;
    font-size: 0;
    transition: all 500ms;
    transition-delay: 250ms;
    z-index: 500;
}

nav ul li:hover ul {
    font: inherit;
}

nav ul li ul li {
    margin-top: 0px;
    min-width: 250px;
}

nav ul li ul li ul {
    position: absolute;
    top: 20px;
    left: 225px;
    font-size: 0 !important;
    transition: all 500ms;
    transition-delay: 250ms;
    z-index: 1000;
}

nav ul li ul li:hover ul {
    font: inherit !important;
}

nav ul li ul li ul li {
    margin-top: 0px;
    min-width: 250px;
}

nav nav_mobile {
    display: none;
    padding-bottom: 3px;
}

.nav_mobile_a {
    display: none;
}

@media screen and (max-width: 800px) {
    nav nav_normal {
        display: none;
    }

    nav ul {
        width: 100%;
    }

    nav ul li {
        float: none;
    }

    nav ul li ul {
        top: 0px;
        left: 0;
    }

    nav ul li ul li ul {
        top: 0px;
        left: 0px;
    }

    nav nav_normal input.search {
        display: none;
    }

    nav nav_mobile input.search {
        margin-top: 3px;
        width: 90%;
    }

    nav nav_mobile {
        display: block;
    }

    .nav_normal_a {
        display: none;
    }

    .nav_mobile_a {
        display: block;
    }
}

.jumplink {
    visibility: hidden;
    height: 0px !important;
    position: absolute;
    margin: -155px;
}

.jumplink.head {
    margin: -205px;
}

/******************************************************************************
 * Content / Design
 *****************************************************************************/

/*Design*/

.article,
.short,
.calendar {
    text-align: justify;
}

.article .flex {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-end;
}

.short .flex {
    display: flex;
    flex-wrap: wrap;
    align-items: flex-start;
}

.article,
.calendar,
.short {
    padding-left: 1em;
    padding-right: 1em;
    padding-top: 0.3em;
    padding-bottom: 0.7em;
    margin-bottom: 10px;
    margin-left: 5px;
    margin-right: 5px;
}

.tableofcontent {
    position: fixed;
    right: 14.5%;
    margin-top: 10px;
    padding-right: 10px;
    text-align: left;
    width: 400px;
    max-width: 75px;
    opacity: 0.8;

    transition: max-width 1s ease-in-out;
    overflow: auto;

    z-index: 50;
}

.tableofcontent-list {
    transition: max-height 1s ease-in-out;
    overflow: auto;
}

.tableofcontent-list a {
    text-decoration: none;
}

.tableofcontent-list ul {
    margin-block-start: 0em;
    margin-block-end: 0em;
}

/* Flex-Liste */
.flex-container {
    display: flex;
    flex-wrap: wrap;

    margin-top: 7px;
}

.flex-item {
    flex-grow: 1;
}

/* -> in head.php ~line 123
.flex-item-config {
    flex-basis: auto;
}*/

/*Breite*/

.content {
    width: 69%;
}

.content p {
    padding-left: 10px;
    padding-right: 10px;
}

.article,
.content,
.menu a {
    margin-left: 15.5%;
    margin-right: 15.5%;
}

.calendar {
    margin-left: 25.5%;
    margin-right: 25.5%;
}

.image {
    max-width: 2956px;
}

.mobileuses {
    display: none;
}

@media screen and (max-width: 3300px) {
    .content {
        width: 70%;
    }

    .tableofcontent {
        right: 14%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 15%;
        margin-right: 15%;
    }

    .calendar {
        margin-left: 25%;
        margin-right: 25%;
    }

    .image {
        max-width: 2856px;
    }
}

@media screen and (max-width: 3200px) {
    .content {
        width: 71%;
    }

    .tableofcontent {
        right: 13.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 14.5%;
        margin-right: 14.5%;
    }

    .calendar {
        margin-left: 24.5%;
        margin-right: 24.5%;
    }

    .image {
        max-width: 2756px;
    }
}

@media screen and (max-width: 3100px) {
    .content {
        width: 72%;
    }

    .tableofcontent {
        right: 13%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 14%;
        margin-right: 14%;
    }

    .calendar {
        margin-left: 24%;
        margin-right: 24%;
    }

    .image {
        max-width: 2656px;
    }
}

@media screen and (max-width: 3000px) {
    .content {
        width: 73%;
    }

    .tableofcontent {
        right: 12.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 13.5%;
        margin-right: 13.5%;
    }

    .calendar {
        margin-left: 23.5%;
        margin-right: 23.5%;
    }

    .image {
        max-width: 2556px;
    }
}

@media screen and (max-width: 2900px) {
    .content {
        width: 74%;
    }

    .tableofcontent {
        right: 12%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 13%;
        margin-right: 13%;
    }

    .calendar {
        margin-left: 23%;
        margin-right: 23%;
    }

    .image {
        max-width: 2456px;
    }
}

@media screen and (max-width: 2800px) {
    .content {
        width: 75%;
    }

    .tableofcontent {
        right: 11.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 12.5%;
        margin-right: 12.5%;
    }

    .calendar {
        margin-left: 22.5%;
        margin-right: 22.5%;
    }

    .image {
        max-width: 2356px;
    }
}

@media screen and (max-width: 2700px) {
    .content {
        width: 76%;
    }

    .tableofcontent {
        right: 11%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 12%;
        margin-right: 12%;
    }

    .calendar {
        margin-left: 22%;
        margin-right: 22%;
    }

    .image {
        max-width: 2256px;
    }
}

@media screen and (max-width: 2600px) {
    .content {
        width: 77%;
    }

    .tableofcontent {
        right: 10.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 11.5%;
        margin-right: 11.5%;
    }

    .calendar {
        margin-left: 21.5%;
        margin-right: 21.5%;
    }

    .image {
        max-width: 2156px;
    }
}

@media screen and (max-width: 2500px) {
    .content {
        width: 78%;
    }

    .tableofcontent {
        right: 10%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 11%;
        margin-right: 11%;
    }

    .calendar {
        margin-left: 21%;
        margin-right: 21%;
    }

    .image {
        max-width: 2056px;
    }
}

@media screen and (max-width: 2400px) {
    .content {
        width: 79%;
    }

    .tableofcontent {
        right: 9.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 10.5%;
        margin-right: 10.5%;
    }

    .calendar {
        margin-left: 20.5%;
        margin-right: 20.5%;
    }

    .image {
        max-width: 1956px;
    }
}

@media screen and (max-width: 2300px) {
    .content {
        width: 80%;
    }

    .tableofcontent {
        right: 9%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 10%;
        margin-right: 10%;
    }

    .calendar {
        margin-left: 20%;
        margin-right: 20%;
    }

    .image {
        max-width: 1856px;
    }
}

@media screen and (max-width: 2200px) {
    .content {
        width: 81%;
    }

    .tableofcontent {
        right: 8.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 9.5%;
        margin-right: 9.5%;
    }

    .calendar {
        margin-left: 19.5%;
        margin-right: 19.5%;
    }

    .image {
        max-width: 1756px;
    }
}

@media screen and (max-width: 2100px) {
    .content {
        width: 82%;
    }

    .tableofcontent {
        right: 8%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 9%;
        margin-right: 9%;
    }

    .calendar {
        margin-left: 19%;
        margin-right: 19%;
    }

    .image {
        max-width: 1656px;
    }
}

@media screen and (max-width: 2000px) {
    .content {
        width: 83%;
    }

    .tableofcontent {
        right: 7.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 8.5%;
        margin-right: 8.5%;
    }

    .calendar {
        margin-left: 18.5%;
        margin-right: 18.5%;
    }

    .image {
        max-width: 1656px;
    }
}

@media screen and (max-width: 1900px) {
    .content {
        width: 84%;
    }

    .tableofcontent {
        right: 7%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 8%;
        margin-right: 8%;
    }

    .calendar {
        margin-left: 18%;
        margin-right: 18%;
    }

    .image {
        max-width: 1556px;
    }
}

@media screen and (max-width: 1800px) {
    .content {
        width: 85%;
    }

    .tableofcontent {
        right: 6.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 7.5%;
        margin-right: 7.5%;
    }

    .calendar {
        margin-left: 17.5%;
        margin-right: 17.5%;
    }

    .image {
        max-width: 1456px;
    }
}

@media screen and (max-width: 1700px) {
    .content {
        width: 86%;
    }

    .tableofcontent {
        right: 6%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 7%;
        margin-right: 7%;
    }

    .calendar {
        margin-left: 17%;
        margin-right: 17%;
    }

    .image {
        max-width: 1356px;
    }
}

@media screen and (max-width: 1600px) {
    .content {
        width: 87%;
    }

    .tableofcontent {
        right: 5.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 6.5%;
        margin-right: 6.5%;
    }

    .calendar {
        margin-left: 16.5%;
        margin-right: 16.5%;
    }

    .image {
        max-width: 1256px;
    }
}

@media screen and (max-width: 1500px) {
    .content {
        width: 88%;
    }

    .tableofcontent {
        right: 5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 6%;
        margin-right: 6%;
    }

    .calendar {
        margin-left: 15%;
        margin-right: 15%;
    }

    .image {
        max-width: 1156px;
    }
}

@media screen and (max-width: 1400px) {
    .content {
        width: 89%;
    }

    .tableofcontent {
        right: 4.5%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 5.5%;
        margin-right: 5.5%;
    }

    .calendar {
        margin-left: 14%;
        margin-right: 14%;
    }

    .image {
        max-width: 1056px;
    }

    .mobilehide {
        display: none;
    }

    .mobileuses {
        display: table-cell;
    }
}

@media screen and (max-width: 1300px) {
    .content {
        width: 90%;
    }

    .tableofcontent {
        right: 4%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 5%;
        margin-right: 5%;
    }

    .calendar {
        margin-left: 13%;
        margin-right: 13%;
    }

    .image {
        max-width: 956px;
    }
}

@media screen and (max-width: 1200px) {
    .content {
        width: 91%;
    }

    .tableofcontent {
        right: 3.5%;
        width: 32.46%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 4.5%;
        margin-right: 4.5%;
    }

    .calendar {
        margin-left: 12%;
        margin-right: 12%;
    }

    .image {
        max-width: 856px;
    }
}

@media screen and (max-width: 1100px) {
    .content {
        width: 92%;
    }

    .tableofcontent {
        right: 3%;
        width: 31.46%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 4%;
        margin-right: 4%;
    }

    .calendar {
        margin-left: 11%;
        margin-right: 11%;
    }

    .image {
        max-width: 756px;
    }
}

@media screen and (max-width: 1000px) {
    .content {
        width: 93%;
    }

    .tableofcontent {
        right: 2.5%;
        width: 30.46%;
        padding-right: 28px;
    }

    .tableofcontent h4 {
        font-size: 14px;
        margin-top: 1em;
        margin-left: 1em;
        margin-left: 10px;
    }

    .tableofcontent td {
        font-size: 22px !important;
    }

    .tableofcontent ul {
        padding-left: 35px;
        font-size: 14px;
    }

    .article,
    .content,
    .menu a {
        margin-left: 3.5%;
        margin-right: 3.5%;
    }

    .calendar {
        margin-left: 10%;
        margin-right: 10%;
    }

    .image {
        max-width: 656px;
    }
}

@media screen and (max-width: 900px) {
    .content {
        width: 94%;
    }

    .tableofcontent {
        right: 2%;
        width: 29.46%;
        padding-right: 19px;
    }

    .tableofcontent h4 {
        font-size: 13px;
        margin-top: 0.7em;
        margin-left: 0.7em;
        margin-left: 7px;
    }

    .tableofcontent td {
        font-size: 20px !important;
    }

    .tableofcontent ul {
        padding-left: 30px;
        font-size: 13px;
    }

    .article,
    .content,
    .menu a {
        margin-left: 3%;
        margin-right: 3%;
    }

    .calendar {
        margin-left: 9%;
        margin-right: 9%;
    }

    .image {
        max-width: 556px;
    }
}

@media screen and (max-width: 800px) {
    .content {
        width: 95%;
    }

    .tableofcontent {
        right: 1.5%;
        width: 28.46%;
        padding-right: 10px;
    }

    .tableofcontent h4 {
        font-size: 12px;
        margin-top: 0.3em;
        margin-left: 0.4em;
        margin-left: 4px;
    }

    .tableofcontent td {
        font-size: 18px !important;
    }

    .tableofcontent ul {
        padding-left: 25px;
        font-size: 12px;
    }

    .article,
    .content,
    .menu a {
        margin-left: 2.5%;
        margin-right: 2.5%;
    }

    .calendar {
        margin-left: 8%;
        margin-right: 8%;
    }

    .image {
        max-width: 456px;
    }
}

@media screen and (max-width: 700px) {
    .content {
        width: 96%;
    }

    .tableofcontent {
        right: 1%;
        width: 27.46%;
        padding-right: 0px;
    }

    .tableofcontent h4 {
        font-size: 11px;
        margin-top: 0.1em;
        margin-bottom: 0.1em;
        margin-left: 0px;
    }

    .tableofcontent td {
        font-size: 16px !important;
    }

    .tableofcontent ul {
        padding-left: 20px;
        font-size: 11px;
    }

    .article,
    .content,
    .menu a {
        margin-left: 2%;
        margin-right: 2%;
    }

    .calendar {
        margin-left: 7%;
        margin-right: 7%;
    }

    .image {
        max-width: 356px;
    }
}

@media screen and (max-width: 600px) {
    .content {
        width: 97%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 1.5%;
        margin-right: 1.5%;
    }

    .calendar {
        margin-left: 6%;
        margin-right: 6%;
    }

    .image {
        max-width: 256px;
    }
}

@media screen and (max-width: 500px) {
    .content {
        width: 98%;
    }

    .article,
    .content,
    .menu a {
        margin-left: 1%;
        margin-right: 1%;
    }

    .calendar {
        margin-left: 5%;
        margin-right: 5%;
    }
}

/* FIX: Prism Markdown */
.token .content {
    margin-left: 0px;
    margin-right: 0px;
}

/******************************************************************************
 * Footer
 *****************************************************************************/

footer {
    box-shadow: 0px 15px 20px 0px;
    padding-top: 3px;
    margin-top: 3px;
    font-size: 9px;

    position: fixed;
    right: 0px;
    left: 0px;
    bottom: 0px;
    z-index: 50;
}

/******************************************************************************
 * Tooltip
 *****************************************************************************/

/*
<ELEMENT class="tooltip">Hover over me
  <span class="tooltiptext">Tooltip text</span>
</ELEMENT>
 */

.tooltip {
    position: relative;
}

.tooltip .tooltiptext {
    visibility: hidden;
    text-align: left;
    border-radius: 6px;
    padding: 7px;
    position: absolute;
    z-index: 1;
    bottom: 100%;
    opacity: 0;
    transition: opacity 0.3s;
    text-wrap: nowrap;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

/******************************************************************************
 * Forms
 *****************************************************************************/

input,
textarea,
select {
    width: 250px;
    border: 1px solid;
    border-radius: 3px;
    text-indent: 3px;
}

input.smallest,
textarea.smallest,
select.smallest {
    width: 50px;
}

input.smaller,
textarea.smaller,
select.smaller {
    width: 100px;
}

input.small,
textarea.small,
select.small {
    width: 150px;
}

input.big,
textarea.big,
select.big {
    width: 350px;
}

input.bigger,
textarea.bigger,
select.bigger {
    width: 550px;
}

input.biggest,
textarea.biggest,
select.biggest {
    width: 95%;
}

input {
    padding-top: 5px;
    padding-bottom: 5px;
}

input[type="date"] {
    padding-top: 2px;
    padding-bottom: 3px;
}

input[type="checkbox"] {
    width: auto;
    box-shadow: 0px 0px;
}

input.search {
    height: 35px;
    font-family: 'Font Awesome 5 Pro', ubuntu, Verdana, Sans-Serif, Arial;
}

input.r {
    text-align: right;
}

textarea {
    padding-top: 5px;
    padding-bottom: 5px;
    min-height: 33px;
}

select {
    padding-top: 4px;
    padding-bottom: 4px;
}

/******************************************************************************
 * Button
 *****************************************************************************/

button,
a.button,
a.button:visited {
    display: inline-block;
    padding-top: 9px;
    padding-bottom: 9px;
    padding-right: 8px;
    padding-left: 8px;
    line-height: 100%;
    /*border-radius:500px;*/
    border-radius: 1px;
    border: 0px;
    font-size: 24px;
    text-align: center;
    text-decoration: none;
}

.rounded,
a.button.rounded,
a.button.rounded:visited {
    border-radius: 999px;
    transition: background 0.2s;
}

button.bigger,
a.button.bigger,
font.bigger {
    font-size: 64px;
}

button.big,
a.button.big,
font.big {
    font-size: 48px;
}

button.medium,
a.button.medium,
font.medium,
font.medium select {
    font-size: 24px;
}

font input {
    font-size: 24px;
}

button.small,
a.button.small {
    padding-top: 8px;
    padding-bottom: 7px;
    padding-right: 7px;
    padding-left: 7px;
    font-size: 18px;
}

button.tiny,
a.button.tiny {
    padding-top: 8px;
    padding-bottom: 7px;
    padding-right: 7px;
    padding-left: 7px;
    font-size: 12px;
}

font.tiny {
    font-size: 12px;
}

button.micro,
a.button.micro {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 4px;
    padding-left: 4px;
    font-size: 9px;
}

font.micro {
    font-size: 9px;
}

button:disabled,
button:hover:disabled {
    background: #E0E0E0;
    color: #212121;
}

/******************************************************************************
 * Checkboxen
 *****************************************************************************/

input[type='checkbox'].iconbox,
input[type='radio'].iconbox {
    display: none;
}

/* unchecked gray*/
input[type='checkbox'].iconbox+label,
input[type='radio'].iconbox+label {
    padding: 3px 1px 3px 1px;
}

/* checked */
input[type='checkbox'].orange:checked+label,
input[type='radio'].orange:checked+label {
    color: #FFB74D;
}

input[type='checkbox'].blue:checked+label,
input[type='radio'].blue:checked+label {
    color: #64B5F6;
}

input[type='checkbox'].pink:checked+label,
input[type='radio'].pink:checked+label {
    color: #F06292;
}

input[type='checkbox'].green:checked+label,
input[type='radio'].green:checked+label {
    color: #81C784;
}

input[type='checkbox'].red:checked+label,
input[type='radio'].red:checked+label {
    color: #E57373;
}

input[type='checkbox'].gray:checked+label,
input[type='radio'].gray:checked+label {
    color: #E0E0E0;
}

input[type='checkbox'].yellow:checked+label,
input[type='radio'].yellow:checked+label {
    color: #FFF176;
}

input[type='checkbox'].lila:checked+label,
input[type='radio'].lila:checked+label {
    color: #9955ff;
}

input[type='checkbox'].tiny+label,
input[type='radio'].tiny+label {
    font-size: 12px;
}


input[type='checkbox'].micro+label,
input[type='radio'].micro+label {
    font-size: 9px;
}

/******************************************************************************
 * Slider
 *****************************************************************************/

.slider {
    -webkit-appearance: none;
    appearance: none;
    width: 16px;
    height: 70%;
    border-radius: 5px;
    background: #d3d3d3;
    outline: none;
    opacity: 0.7;
    -webkit-transition: .2s;
    transition: opacity .2s;

    writing-mode: vertical-lr;
    direction: rtl;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background: #81C784;
    cursor: pointer;
}


/******************************************************************************
 * Color
 *****************************************************************************/

button.opacity,
a.button.opacity,
a.opacity,
font.opacity,
i.opacity {
    opacity: 0.73;
}

button.orange,
a.button.orange {
    background: #FFB74D;
    color: #E65100;
}

button.orange:hover,
a.button.orange:hover {
    background: #E65100;
    color: #FFB74D;
}

button.blue,
a.button.blue {
    background: #64B5F6;
    color: #0D47A1;
}

button.blue:hover,
a.button.blue:hover {
    background: #0D47A1;
    color: #64B5F6;
}

button.pink,
a.button.pink {
    background: #F06292;
    color: #880E4F;
}

button.pink:hover,
a.button.pink:hover {
    background: #880E4F;
    color: #F06292;
}

button.green,
a.button.green {
    background: #81C784;
    color: #1B5E20;
}

button.green:hover,
a.button.green:hover {
    background: #1B5E20;
    color: #81C784;
}

button.red,
a.button.red {
    background: #E57373;
    color: #B71C1C;
}

button.red:hover,
a.button.red:hover {
    background: #B71C1C;
    color: #E57373;
}

button.gray,
a.button.gray {
    background: #E0E0E0;
    color: #212121;
}

button.gray:hover,
a.button.gray:hover {
    background: #E0E0E0;
    color: #212121;
}

button.yellow,
a.button.yellow {
    background: #FFF176;
    color: #F57F17;
}

button.yellow:hover,
a.button.yellow:hover {
    background: #F57F17;
    color: #FFF176;
}

button.lila,
a.button.lila {
    background: #9955ff;
    color: #5500d4;
}

button.lila:hover,
a.button.lila:hover {
    background: #5500d4;
    color: #9955ff;
}

button.brown,
a.button.brown {
    background: #8B4513;
    color: #441d00;
}

button.brown:hover,
a.button.brown:hover {
    background: #441d00;
    color: #8B4513;
}

button.transparent,
a.button.transparent {
    background: transparent;
}

/* */

font.orange,
i.orange,
a.orange,
td.orange,
td.orange input[type='text'] {
    color: #FFB74D;
}

a.orange:hover {
    color: #E65100;
}

font.blue,
i.blue,
a.blue,
td.blue,
td.blue input[type='text'] {
    color: #64B5F6;
}

a.blue:hover {
    color: #0D47A1;
}

font.pink,
i.pink,
a.pink,
td.pink,
td.pink input[type='text'] {
    color: #F06292;
}

a.pink:hover {
    color: #880E4F;
}

font.green,
i.green,
a.green,
td.green,
td.green input[type='text'] {
    color: #81C784;
}

a.green:hover {
    color: #1B5E20;
}

font.darkgreen,
i.darkgreen,
a.darkgreen,
td.darkgreen,
td.orandarkgreenge input[type='text'] {
    color: #1B5E20;
}

a.darkgreen:hover {
    color: #81C784;
}

font.red,
i.red,
a.red,
td.red,
td.red input[type='text'] {
    color: #E57373;
}

a.red:hover {
    color: #B71C1C;
}

/* font.gray,    */
/* -> head.php   */
/* }             */

font.yellow,
i.yellow,
a.yellow,
td.yellow,
td.yellow input[type='text'] {
    color: #FFF176;
}

a.yellow:hover {
    color: #F57F17;
}

font.lila,
i.lila,
a.lila,
td.lila,
td.lila input[type='text'] {
    color: #9955ff;
}

a.lila:hover {
    color: #5500d4;
}

font.brown,
i.brown,
a.brown,
td.brown,
td.brown input[type='text'] {
    color: #8B4513;
}

a.brown:hover {
    color: #441d00;
}

font.black,
i.black,
a.black,
td.black,
td.black input[type='text'] {
    color: #000;
}

a.black:hover {
    color: #333;
}

font.white,
i.white,
a.white,
td.white,
td.white input[type='text'] {
    color: #fff;
}

a.white:hover {
    color: #ccc;
}

/******************************************************************************
 * Table
 *****************************************************************************/

table {
    width: 100%;
    margin: 0;
    border-spacing: 0;
    text-align: left;
}

table.auto {
    width: auto;
}

table.c {
    margin-left: auto;
    margin-right: auto;
}

thead,
tbody {
    margin: 0;
    padding: 0;
}

th,
td {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 5px;
    padding-left: 5px;
}

td.nowrap,
th.nowrap {
    white-space: nowrap;
}

th {
    font-weight: bold;
}

th.l,
td.l {
    text-align: left;
}

th.c,
td.c {
    text-align: center;
}

th.r,
td.r {
    text-align: right;
}

table.small {
    font-size: 100%;
}

table.withBorder th {
    border-bottom: 2px double;
    border-right: 1px dotted;
    /* border-left: 1px dotted; */
}

tr.underline th,
tr.underline td {
    border-bottom: 1px solid;
}

tr.lineA th {
    border-bottom: 1px dotted;
}


/*
tr.lineB th {
}
*/

tr.lineC th {
    border-bottom: 2px double;
}

table.withBorder td {
    border-top: 1px dotted;
    border-right: 1px dotted;
    /* border-left: 1px dotted; */
}


/*
tr.lineA td { 
}

tr.lineB td { 
}
*/

tr.lineC td {
    border-bottom: 1px solid;
}

tr.Sum td {
    border-top: 3px double;
}

table.edit input[type=text],
table.edit input[type=number],
table.edit input[type=password],
table.edit input[type=datetime-local],
table.edit input[type=date],
table.edit input[type=time] {
    font: inherit;
    width: 99%;
    box-shadow: none;
    border: none;
    outline: none;
    field-sizing: content;
    max-width: 500px;
    /* -> ggf. width von den Spalten übernehmen? */
    background-color: transparent;
}

table.edit input[type=datetime-local] {
    width: 153px;
}

table.edit input[type=date] {
    width: 111px;
}

table.edit input[type=time] {
    width: 72px;
}

table.edit td.downsize input[type=text],
table.edit td.downsize input[type=number],
table.edit td.downsize input[type=password],
table.edit td.downsize input[type=datetime-local],
table.edit td.downsize input[type=date],
table.edit td.downsize input[type=time] {
    field-sizing: unset;
}

table.edit input[type=text]:focus,
table.edit input[type=number]:focus,
table.edit input[type=password]:focus,
table.edit input[type=datetime-local]:focus,
table.edit input[type=date]:focus,
table.edit input[type=time]:focus {
    border: none;
}

table.edit input[type=text]:read-only,
table.edit input[type=number]:read-only,
table.edit input[type=password]:read-only,
table.edit input[type=datetime-local]:read-only,
table.edit input[type=date]:read-only,
table.edit input[type=time]:read-only {
    border: 1px solid transparent;
}

table.edit input[type=text].unit,
table.edit input[type=number].unit {
    width: 70%;
    text-align: right;
}

table.edit td.unit {
    text-align: right;
    text-wrap: nowrap;
}

/******************************************************************************
 * Notice
 *****************************************************************************/

.notice {
    padding-top: 10px;
    padding-bottom: 10px;
    padding-right: 40px;
    padding-left: 40px;
    border-radius: 5px;
}

.notice.warning {
    background: #FFD54F;
    border: 1px solid #FF6F00;
    color: #FF6F00;
}

.notice.error {
    background: #FF8A65;
    border: 1px solid #BF360C;
    color: #BF360C;
}

.notice.success {
    background: #DCE775;
    border: 1px solid #827717;
    color: #827717;
}

.notice.info {
    background: #75cce7;
    border: 1px solid #0051ff;
    color: #0051ff;
}


/******************************************************************************
 * Treeview
 *****************************************************************************/

ul.tree li {
    list-style-type: none;
    position: relative;
}

ul.tree li ul {
    display: none;
}

ul.tree li.open>ul {
    display: block;
}

ul.tree li a {
    text-decoration: none;
}

ul.tree li a:before {
    height: 1em;
    padding: 0 .1em;
    font-size: .8em;
    display: block;
    position: absolute;
    left: -1.3em;
    top: .2em;
}

ul.tree li>a:not(:last-child):before {
    content: '+';
}

ul.tree li.open>a:not(:last-child):before {
    content: '-';
}


/******************************************************************************
 * Spalten
 *****************************************************************************/

.col_1 {
    width: calc(0.0325 * 1500px);
}

.col_2 {
    width: calc(0.0650 * 1500px);
}

.col_3 {
    width: calc(0.0975 * 1500px);
}

.col_4 {
    width: calc(0.1300 * 1500px);
}

.col_5 {
    width: calc(0.1625 * 1500px);
}

.col_6 {
    width: calc(0.1950 * 1500px);
}

.col_7 {
    width: calc(0.2275 * 1500px);
}

.col_8 {
    width: calc(0.2600 * 1500px);
}

.col_9 {
    width: calc(0.2925 * 1500px);
}

@media screen and (max-width: 1400px) {
    .col_1 {
        width: calc(0.0325 * 1400px);
    }

    .col_2 {
        width: calc(0.0650 * 1400px);
    }

    .col_3 {
        width: calc(0.0975 * 1400px);
    }

    .col_4 {
        width: calc(0.1300 * 1400px);
    }

    .col_5 {
        width: calc(0.1625 * 1400px);
    }

    .col_6 {
        width: calc(0.1950 * 1400px);
    }

    .col_7 {
        width: calc(0.2275 * 1400px);
    }

    .col_8 {
        width: calc(0.2600 * 1400px);
    }

    .col_9 {
        width: calc(0.2925 * 1400px);
    }
}

@media screen and (max-width: 1300px) {
    .col_1 {
        width: calc(0.0325 * 1300px);
    }

    .col_2 {
        width: calc(0.0650 * 1300px);
    }

    .col_3 {
        width: calc(0.0975 * 1300px);
    }

    .col_4 {
        width: calc(0.1300 * 1300px);
    }

    .col_5 {
        width: calc(0.1625 * 1300px);
    }

    .col_6 {
        width: calc(0.1950 * 1300px);
    }

    .col_7 {
        width: calc(0.2275 * 1300px);
    }

    .col_8 {
        width: calc(0.2600 * 1300px);
    }

    .col_9 {
        width: calc(0.2925 * 1300px);
    }
}

@media screen and (max-width: 1200px) {
    .col_1 {
        width: calc(0.0325 * 1200px);
    }

    .col_2 {
        width: calc(0.0650 * 1200px);
    }

    .col_3 {
        width: calc(0.0975 * 1200px);
    }

    .col_4 {
        width: calc(0.1300 * 1200px);
    }

    .col_5 {
        width: calc(0.1625 * 1200px);
    }

    .col_6 {
        width: calc(0.1950 * 1200px);
    }

    .col_7 {
        width: calc(0.2275 * 1200px);
    }

    .col_8 {
        width: calc(0.2600 * 1200px);
    }

    .col_9 {
        width: calc(0.2925 * 1200px);
    }
}

@media screen and (max-width: 1100px) {
    .col_1 {
        width: calc(0.0325 * 1100px);
    }

    .col_2 {
        width: calc(0.0650 * 1100px);
    }

    .col_3 {
        width: calc(0.0975 * 1100px);
    }

    .col_4 {
        width: calc(0.1300 * 1100px);
    }

    .col_5 {
        width: calc(0.1625 * 1100px);
    }

    .col_6 {
        width: calc(0.1950 * 1100px);
    }

    .col_7 {
        width: calc(0.2275 * 1100px);
    }

    .col_8 {
        width: calc(0.2600 * 1100px);
    }

    .col_9 {
        width: calc(0.2925 * 1100px);
    }
}

@media screen and (max-width: 1000px) {
    .col_1 {
        width: calc(0.0325 * 1000px);
    }

    .col_2 {
        width: calc(0.0650 * 1000px);
    }

    .col_3 {
        width: calc(0.0975 * 1000px);
    }

    .col_4 {
        width: calc(0.1300 * 1000px);
    }

    .col_5 {
        width: calc(0.1625 * 1000px);
    }

    .col_6 {
        width: calc(0.1950 * 1000px);
    }

    .col_7 {
        width: calc(0.2275 * 1000px);
    }

    .col_8 {
        width: calc(0.2600 * 1000px);
    }

    .col_9 {
        width: calc(0.2925 * 1000px);
    }
}

@media screen and (max-width: 900px) {
    .col_1 {
        width: calc(0.0325 * 900px);
    }

    .col_2 {
        width: calc(0.0650 * 900px);
    }

    .col_3 {
        width: calc(0.0975 * 900px);
    }

    .col_4 {
        width: calc(0.1300 * 900px);
    }

    .col_5 {
        width: calc(0.1625 * 900px);
    }

    .col_6 {
        width: calc(0.1950 * 900px);
    }

    .col_7 {
        width: calc(0.2275 * 900px);
    }

    .col_8 {
        width: calc(0.2600 * 900px);
    }

    .col_9 {
        width: calc(0.2925 * 900px);
    }
}

@media screen and (max-width: 800px) {
    .col_1 {
        width: calc(0.0325 * 800px);
    }

    .col_2 {
        width: calc(0.0650 * 800px);
    }

    .col_3 {
        width: calc(0.0975 * 800px);
    }

    .col_4 {
        width: calc(0.1300 * 800px);
    }

    .col_5 {
        width: calc(0.1625 * 800px);
    }

    .col_6 {
        width: calc(0.1950 * 800px);
    }

    .col_7 {
        width: calc(0.2275 * 800px);
    }

    .col_8 {
        width: calc(0.2600 * 800px);
    }

    .col_9 {
        width: calc(0.2925 * 800px);
    }
}

@media screen and (max-width: 700px) {
    .col_1 {
        width: calc(0.0325 * 700px);
    }

    .col_2 {
        width: calc(0.0650 * 700px);
    }

    .col_3 {
        width: calc(0.0975 * 700px);
    }

    .col_4 {
        width: calc(0.1300 * 700px);
    }

    .col_5 {
        width: calc(0.1625 * 700px);
    }

    .col_6 {
        width: calc(0.1950 * 700px);
    }

    .col_7 {
        width: calc(0.2275 * 700px);
    }

    .col_8 {
        width: calc(0.2600 * 700px);
    }

    .col_9 {
        width: calc(0.2925 * 700px);
    }
}

@media screen and (max-width: 600px) {
    .col_1 {
        width: calc(0.0325 * 600px);
    }

    .col_2 {
        width: calc(0.0650 * 600px);
    }

    .col_3 {
        width: calc(0.0975 * 600px);
    }

    .col_4 {
        width: calc(0.1300 * 600px);
    }

    .col_5 {
        width: calc(0.1625 * 600px);
    }

    .col_6 {
        width: calc(0.1950 * 600px);
    }

    .col_7 {
        width: calc(0.2275 * 600px);
    }

    .col_8 {
        width: calc(0.2600 * 600px);
    }

    .col_9 {
        width: calc(0.2925 * 600px);
    }
}

@media screen and (max-width: 500px) {
    .col_1 {
        width: calc(0.0325 * 500px);
    }

    .col_2 {
        width: calc(0.0650 * 500px);
    }

    .col_3 {
        width: calc(0.0975 * 500px);
    }

    .col_4 {
        width: calc(0.1300 * 500px);
    }

    .col_5 {
        width: calc(0.1625 * 500px);
    }

    .col_6 {
        width: calc(0.1950 * 500px);
    }

    .col_7 {
        width: calc(0.2275 * 500px);
    }

    .col_8 {
        width: calc(0.2600 * 500px);
    }

    .col_9 {
        width: calc(0.2925 * 500px);
    }
}

/******************************************************************************
 * Fontawesome
 *****************************************************************************/

i.container {
    position: relative;
}

i.nested {
    position: absolute;
    /* top: -8px; */
    left: 0px;
    font-size: 100%;
    color: rgba(217, 83, 79, 0.7);
}